Bug 2235351 (CVE-2023-31567) - CVE-2023-31567 podofo: heap-based buffer overflow in PoDoFo::PdfEncryptAESV3::PdfEncryptAESV3
Summary: CVE-2023-31567 podofo: heap-based buffer overflow in PoDoFo::PdfEncryptAESV3:...
Keywords:
Status: NEW
Alias: CVE-2023-31567
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2235352 2235353
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-08-28 14:36 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-08-28 14:36 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2023-08-28 14:36:05 UTC
Podofo v0.10.0 was discovered to contain a heap buffer overflow via the component PoDoFo::PdfEncryptAESV3::PdfEncryptAESV3.

Reference:
https://github.com/podofo/podofo/issues/71

Comment 1 Guilherme de Almeida Suckevicz 2023-08-28 14:36:24 UTC
Created podofo tracking bugs for this issue:

Affects: epel-all [bug 2235352]
Affects: fedora-all [bug 2235353]


Note You need to log in before you can comment on or make changes to this bug.